# libp7 - Casio Communication Protocol 7.00 implementation
## Introduction

This communication protocol is about how Casio FX calculators share data
with a computer for example. This library brings functions to send and
receive packets, and implementations of some simple usages (send or get a
file).

As the protocol shouldn't be used in async, I didn't bother making this
library thread-safe. It might be in the future, but not right now.

No interaction is made with main memory right now, it should be implemented
when libg1m comes out.

## Prerequisites
### Making-only dependencies

| Name                                               | Version  |
| -------------------------------------------------- | -------- |
| [gcc](https://gcc.gnu.org/)                        | >= 4.9   |
| [binutils](https://www.gnu.org/software/binutils/) | >= 2.25  |
| [asciidoc](http://asciidoc.org/)                   | >= 8.6.9 |
| [gzip](https://www.gnu.org/software/gzip/)         | >= 1.6   |

### Making and runtime dependencies

| Name                                               | Version  |
| -------------------------------------------------- | -------- |
| [libusb](http://libusb.info/)                      | >= 1.0   |

## Building

Just `./configure` then `make`. To install, use `make install`.  
Make the manpages with `make all-doc` and install them with `make install-doc`.

Other useful targets :
- `clean`, `fclean`, `clean-doc`: remove built files ;
- `re`, `re-doc`: regenerate binary and/or manpages.

## Sources

Thanks to Simon Lothar for his online documents like [the chm part][chm] or
[the fxReverse project documentation][rev].

Thanks to Nessotrin for its [UsbConnector][uco] and [CasioUsb][cau] projects,
which made me code this lighter and more documented version.

[chm]: http://media.taricorp.net/prizm/simon_chm/CommunicationsProtocol.htm "Protocol 7.00"
[rev]: http://media.taricorp.net/prizm/simon_chm/fxReverse2x.pdf "fxReverse project documentation"
[uco]: http://www.planet-casio.com/Fr/forums/topic13656-1-UsbConnector,%28Remplacement,multifonction,pour,FA124,multi,os.html "UsbConnector (Remplacement de FA124 multi-OS)"
[cau]: https://github.com/nessotrin/CasioUsb "CasioUsb (Outil multifonction USB pour calculatrice CASIO)"
