/* ************************************************************************** */
/*                                       _____           _                    */
/*  packet/send_check.c                 |_   _|__  _   _| |__   ___ _   _     */
/*  | Project : libp7                     | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2016/08/17 09:51:32                               |___/     */
/*                                                                            */
/* ************************************************************************** */

#include <libp7/internals.h>

/*
 *	Types and subtypes
 */

#define T p7_pt_check
#define ST_BEGIN 0x00
#define ST_MEANWHILE 0x01

/**
 *	p7_send_check:
 *	Check sending.
 *
 *	Used to verify if the devices are still connected.
 *
 *	@arg	initial		is it the beginning of the communication ?
 *	@return				if it worked
 */

int p7_send_check(int initial)
{
	/* get subtype */
	int subtype = initial ? ST_BEGIN : ST_MEANWHILE;

	/* then send normal packet */
	log_info("sending check packet...");
	return (p7_send_basic(T, subtype, 1));
}
