/* ************************************************************************** */
/*                                       _____           _                    */
/*  packet/send_error.c                 |_   _|__  _   _| |__   ___ _   _     */
/*  | Project : libp7                     | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2016/08/17 09:51:07                               |___/     */
/*                                                                            */
/* ************************************************************************** */

#include <libp7/internals.h>

/*
 *	Type and subtypes
 */

#define T p7_pt_error
#define ST_RESEND 0x01
#define ST_OVERWRITE 0x02
#define ST_OVERWRITE_NO 0x03
#define ST_OVERWRITE_IMPOSSIBLE 0x04
#define ST_FULLMEM 0x05

/**
 *	p7_send_err:
 *	Send error.
 *
 *	Default response if problem occur.
 *
 *	@arg	error		error subtype
 *	@return				if it worked
 */

static int p7_send_err(unsigned int error)
{
	return (p7_send_basic(T, error, 1));
}

/**
 *	p7_send_err_overwrite_no:
 *	Denies overwrite.
 *
 *	This packet is the "no" response to overwrite confirmation.
 *
 *	@return				if it worked
 */

int p7_send_err_overwrite_no(void)
{
	return (p7_send_err(ST_OVERWRITE_NO));
}
