/* ************************************************************************** */
/*                                       _____           _                    */
/*  packet/send_roleswp.c               |_   _|__  _   _| |__   ___ _   _     */
/*  | Project : libp7                     | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2016/08/17 09:51:25                               |___/     */
/*                                                                            */
/* ************************************************************************** */

#include <libp7/internals.h>

/*
 *	Type and subtypes
 */

#define T p7_pt_roleswp
#define ST_DEFAULT 0x00

/**
 *	p7_send_roleswp:
 *	Invoke a roleswap.
 *
 *	Causes devices to switch roles. Active becomes passive and vice versa.
 *
 *	@return				if it worked
 */

int p7_send_roleswp(void)
{
	p7_active = 0; /* as you can only send this when you're active */
	return (p7_send_basic(T, ST_DEFAULT, 1));
}
