/* ************************************************************************** */
/*                                       _____           _                    */
/*  shift.c                             |_   _|__  _   _| |__   ___ _   _     */
/*  | Project : libp7                     | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2016/09/04 15:06:59                               |___/     */
/*                                                                            */
/* ************************************************************************** */

#include <libp7/internals.h>

/**
 *	p7_unshift:
 *	Unshift packet.
 *
 *	@return			if it worked
 */

int p7_unshift(void)
{
	/* truly unshift */
	if (!p7_recv(p7_send_buffers[p7_send_buffer_id],
		p7_send_buffers_size[p7_send_buffer_id]))
		return (0);
	p7_shifted = 0;

	/* check if last sent packet was okay */
	while (response.type == p7_pt_error
	 && response.error.code == p7_ec_resend)
		if (!p7_send_again()) return (0);

	/* then return */
	return (1);
}
