/* ************************************************************************** */
/*                                       _____           _                    */
/*  protocol/start.c                    |_   _|__  _   _| |__   ___ _   _     */
/*  | Project : libp7                     | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2016/08/18 05:45:38                               |___/     */
/*                                                                            */
/* ************************************************************************** */

#include <libp7/internals.h>

/**
 *	p7_start:
 *	Initialize communication.
 *
 *	@return				if it worked
 */

int p7_start(void)
{
	/* sending check packet */
	log_info("sending initial check");
	if (!p7_send_check(1)) {
		log_error("couldn't send check/didn't receive answer");
		return (0);
	}

	/* receive response ack packet */
	log_info("checking check answer");
	if (response.type != p7_pt_ack) {
		p7_error = p7_error_unknown;
		log_info("received packet wasn't ack, wtf ?");
		return (0);
	}

	/* it's done */
	return (1);
}
