/* ************************************************************************** */
/*                                       _____           _                    */
/*  protocol/term.c                     |_   _|__  _   _| |__   ___ _   _     */
/*  | Project : libp7                     | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2016/08/18 05:45:42                               |___/     */
/*                                                                            */
/* ************************************************************************** */

#include <libp7/internals.h>

/**
 *	p7_term:
 *	Terminate communication.
 *
 *	Checks if the ending ack is returned, but really, you can ignore the
 *	return value.
 *
 *	@return				if it worked
 */

int p7_term(void)
{
	/* sending term packet */
	log_info("sending terminate");
	if (!p7_send_term()) {
		log_warn("couldn't send terminate, already disconnected ?");
		return (0);
	}
	/* - don't bother checking ack - */
	/* then it's done */
	return (1);
}
