/* ************************************************************************** */
/*                                       _____           _                    */
/*  utils/validate.c                    |_   _|__  _   _| |__   ___ _   _     */
/*  | Project : libp7                     | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2016/08/22 21:23:25                               |___/     */
/*                                                                            */
/* ************************************************************************** */

#include <string.h>
#include <libp7/internals.h>

/**
 *	p7_validate_filename:
 *	Validate a filename.
 *
 *	@arg	filename		the filename to validate
 *	@return					if it is validated
 */

int p7_validate_filename(const char *filename)
{
	if (strnlen(filename, 13) == 13)
		return (0);
	/* TODO: check letters/ASCII/stuff ? */
	return (1);
}

/**
 *	p7_validate_dirname:
 *	Validate a directory name.
 *
 *	@arg	dirname			the directory name to validate
 *	@return					if it is validated
 */

int p7_validate_dirname(const char *dirname)
{
	if (strnlen(dirname, 9) == 9)
		return (0);
	/* TODO: check letters/ASCII/stuff ? */
	return (1);
}
